# Poco::Data

# template < typename T >

# class LOBInputStream

Library: Data
Package: DataCore
Header: Poco/Data/LOBStream.h

## Description

An input stream for reading from a LOB.

## Inheritance

Direct Base Classes: LOBIOS < T >, std::basic_istream < T, std::char_traits < T >>

All Base Classes: LOBIOS < T >, std::basic_istream < T, std::char_traits < T >>

## Constructors

### LOBInputStream

LOBInputStream(
LOB < T > & lob
);

Creates the LOBInputStream with the given LOB.

## Destructor

### ~LOBInputStream

~LOBInputStream();

Destroys the LOBInputStream.